#include <stdio.h>
#include "/home/adss/monitoria/ip/jni/ContaNativa.h"

JNIEXPORT void JNICALL Java_ContaNativa_creditar
  (JNIEnv * env, jobject obj, jdouble  valor) {

    // obtem uma referencia da classe
    jclass  class_conta= (*env) -> GetObjectClass(env, obj);
    
    // obtem o identificador do atributo saldo
    jfieldID  id_saldo = (*env) -> GetFieldID(env,class_conta,"saldo","D");
    
    // obtem o atributo saldo
    jdouble saldo = (*env) -> GetDoubleField(env, obj , id_saldo);
    
    // faz a operacao
    saldo = saldo + valor;
    
    // atualiza o valor do campo saldo
    (*env) -> SetDoubleField(env, obj, id_saldo, saldo);



}  
